<?php
/**
 * app/controllers/extensions.php
 *
 * This is the extensions controller.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Controllers;

use TheTempusProject\Classes\Controller;
use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Issues;
use TheTempusProject\TheTempusProject as App;

class Extensions extends Controller {
    public function index() {
        self::$title = 'Browser Extensions';
        if ( App::$isLoggedIn ) {
            Issues::add( 'success', 'We also have a simple solution to using the app from your mobile devices <a href="/extensions/mobile">here</a>.' );
        }
        Views::view( 'bookmarks.extensions.index' );
    }

    public function mobile() {
        self::$title = 'Mobile Bookmarklet';
        if ( ! App::$isLoggedIn ) {
            return Issues::add( 'error', 'Unfortunately you will need to sign in to generate the bookmarklet unique to your account.' );
        }
        Views::view( 'bookmarks.extensions.bookmarklet' );
    }

    public function chrome() {
        self::$title = 'Chrome Extension';
        Views::view( 'bookmarks.extensions.chrome' );
    }

    public function firefox() {
        self::$title = 'Firefox Extension';
        Views::view( 'bookmarks.extensions.firefox' );
    }

    public function opera() {
        self::$title = 'Opera Extension';
        Views::view( 'bookmarks.extensions.opera' );
    }

    public function edge() {
        self::$title = 'Edge Extension';
        Views::view( 'bookmarks.extensions.edge' );
    }

    public function brave() {
        self::$title = 'Brave Extension';
        Views::view( 'bookmarks.extensions.brave' );
    }

    public function safari() {
        self::$title = 'Safari Extension';
        Views::view( 'bookmarks.extensions.safari' );
    }
}
